require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xexchumcallroutersettings',
  dscmeta_resource_friendly_name: 'xExchUMCallRouterSettings',
  dscmeta_resource_name: 'MSFT_xExchUMCallRouterSettings',
  dscmeta_module_name: 'xExchange',
  dscmeta_module_version: '1.10.0.0',
  docs: 'The DSC xExchUMCallRouterSettings resource type.
         Automatically generated from version 1.10.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_credential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: 'Credentials used to establish a remote PowerShell session to Exchange',
      behaviour: :parameter,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_domaincontroller: {
      type: 'Optional[String]',
      desc: 'Optional Domain Controller to connect to',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_server: {
      type: 'String',
      desc: 'Hostname of the UM server to configure',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_umstartupmode: {
      type: "Enum['TCP', 'TLS', 'Dual']",
      desc: 'UMStartupMode for the UM call router',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
